function plot_TDC(d_lag, max_TDC, TDC, t)

%function plots tail dependence coefficient with time lag and marks the
%maximum

%d_lag, max_TDC, TDC - output from function dominant_lag_maximum_TDC
%t - threshold, ex. 0.95

[n,m]=size(TDC);
plot((ones(n,1)*(-((m-1)/2):((m-1)/2)))',TDC');
hold on;
plot(d_lag, max_TDC,'*k');
xlabel('lag');
ylabel('TDC');
legend(num2str(t'),'Location','NorthEast');