function plot_extremal_variogram(d_lag, min_gamma, gamma, t)

%function plots extremal variogram with time lag and marks the
%minimum

%d_lag, min_gamma, gamma - output from function dominant_lag_maximum_ev
%t - threshold, ex. 0.95

[n,m]=size(gamma);
plot((ones(n,1)*(-((m-1)/2):((m-1)/2)))',gamma');
hold on;
plot(d_lag, min_gamma,'*k');
xlabel('lag');
ylabel('Extremal variogram');
legend(num2str(t'),'Location','NorthEast');